package com.huawei.dli.sdk.common;

/**
 * What is the relationship between DataType and DataTypeInfo?
 * Use DataTypeInfo.getDataType() return DataType,DataType.getDataTypeInfo() return DataTypeInfo
 * DataType is only data type,such as DataType.INT corresponding "int",
 * but if dataType with parameters and set "decimal(10,5)",you can use DataTypeInfo;
 * E.g.,DataTypeInfo dataTypeInfo = new DecimalTypeInfo(10, 5);
 */
public interface DataTypeInfo {

    DataType getDataType();

    String toString();

}
