package com.huawei.dli.sdk.common.type;

import com.huawei.dli.sdk.common.DataTypeInfo;

public interface MapTypeInfo extends DataTypeInfo {
    /**
     * get the key type info of the Map
     *
     * @return DataTypeInfo
     */
    DataTypeInfo getKeyTypeInfo();

    /**
     * get the value type info of the Map
     *
     * @return DataTypeInfo
     */
    DataTypeInfo getValueTypeInfo();
}
