package com.huawei.dli.sdk;

import com.huawei.dli.restapi.model.ModuleResourceInfo;

public class ModuleResource {
    private String moduleName;

    private String moduleType;

    private String status;

    private String description;

    private String[] resources;

    private long createTime;

    private long updateTime;

    public ModuleResource(ModuleResourceInfo moduleResourceInfo) {
        this.moduleName = moduleResourceInfo.getModuleName();
        this.moduleType = moduleResourceInfo.getModuleType();
        this.status = moduleResourceInfo.getStatus();
        this.description = moduleResourceInfo.getDescription();
        this.resources = moduleResourceInfo.getResources().toArray(new String[0]);
        this.createTime = moduleResourceInfo.getCreateTime();
        this.updateTime = moduleResourceInfo.getUpdateTime();
    }

    public String getModuleName() {
        return moduleName;
    }

    public String getModuleType() {
        return moduleType;
    }

    public String getStatus() {
        return status;
    }

    public String getDescription() {
        return description;
    }

    public String[] getResources() {
        return resources;
    }

    public long getCreateTime() {
        return createTime;
    }

    public long getUpdateTime() {
        return updateTime;
    }
}
