package com.huawei.dli.sdk;

import com.huawei.dli.sdk.common.Row;
import com.huawei.dli.sdk.exception.DLIException;

import java.io.IOException;

public interface Reader {
    void openReader() throws IOException;

    Row read() throws DLIException, IOException;

    void close() throws IOException;

    boolean isClosed();

    boolean hasNext();
}
