package com.huawei.dli.sdk;

public class Resources {
    private PackageResource[] packageResources;

    private ModuleResource[] moduleResources;

    private GroupResource[] groupResources;

    private DLIClient client;

    public Resources(
        PackageResource[] packageResources,
        ModuleResource[] moduleResources,
        GroupResource[] groupResources,
        DLIClient client) {
        this.packageResources = packageResources;
        this.moduleResources = moduleResources;
        this.groupResources = groupResources;
        this.client = client;
    }

    public PackageResource[] getPackageResources() {
        return packageResources;
    }

    public ModuleResource[] getModuleResources() {
        return moduleResources;
    }

    public GroupResource[] getGroupResources() {
        return groupResources;
    }

    public DLIClient getClient() {
        return client;
    }
}
