package com.huawei.dli.sdk.common;

public enum ChargingMode {

    CHARGING_MODE_SQL("CHARGING_MODE_SQL", 0),
    CHARGING_MODE_CU("CHARGING_MODE_CU", 1),
    CHARGING_MODE_CU_PREPAID("CHARGING_MODE_CU_PREPAID", 2);

    private final int value;

    private final String name;

    ChargingMode(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static ChargingMode fromValue(int value) {
        if (ChargingMode.CHARGING_MODE_CU.getValue() == value) {
            return ChargingMode.CHARGING_MODE_CU;
        }
        if (ChargingMode.CHARGING_MODE_SQL.getValue() == value) {
            return ChargingMode.CHARGING_MODE_SQL;
        }
        if (ChargingMode.CHARGING_MODE_CU_PREPAID.getValue() == value) {
            return ChargingMode.CHARGING_MODE_CU_PREPAID;
        }
        return null;
    }
}

