package com.huawei.dli.sdk.common;

import org.apache.commons.lang3.StringUtils;

public enum EnumSyncInfo {
    SYNC("sync"),
    ASYNC("async");

    EnumSyncInfo(String key) {
        this.key = key;
    }

    public static boolean isSync(String key) {
        return StringUtils.equalsAnyIgnoreCase(key, SYNC.key);
    }

    private String key;

    public String getKey() {
        return key;
    }
}
