package com.huawei.dli.sdk.common;

import java.util.List;

public class JobProgressResultInfo {
    private Boolean isSuccess;

    private String status;

    private Integer subJobId;

    private Double progress;

    private List<JobProgressInfo> subJobs;

    public JobProgressResultInfo(
        Boolean isSuccess,
        String status,
        Integer subJobId,
        Double progress,
        List<JobProgressInfo> subJobs) {
        this.isSuccess = isSuccess;
        this.status = status;
        this.subJobId = subJobId;
        this.subJobs = subJobs;
        this.progress = progress;
    }

    public Boolean getSuccess() {
        return isSuccess;
    }

    public void setSuccess(Boolean success) {
        isSuccess = success;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getSubJobId() {
        return subJobId;
    }

    public void setSubJobId(Integer subJobId) {
        this.subJobId = subJobId;
    }

    public Double getProgress() {
        return progress;
    }

    public void setProgress(Double progress) {
        this.progress = progress;
    }

    public List<JobProgressInfo> getSubJobs() {
        return subJobs;
    }

    public void setSubJobs(List<JobProgressInfo> subJobs) {
        this.subJobs = subJobs;
    }
}
